﻿@model List<eCommerce.BackOffice.ViewModels.ProvinceViewModel>
@{
    ViewBag.Title = "Edición Rapida";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Provincia - Edición Rapida</h1>
</div>


<div class="page-content">

    <div class="panel">
        @Html.Partial("_FastEditList", Model)
    </div>

</div>

<style type="text/css">
    .select2-close-mask {
        z-index: 2099;
    }

    .select2-dropdown {
        z-index: 3051;
    }
</style>

@section Scripts {
    
    <script src="/Content/assets/vendor/editable-table/mindmup-editabletable.js"></script>
    <script src="/Content/assets/vendor/editable-table/numeric-input-example.js"></script>
    <script src="/Content/assets/js/components/editable-table.js"></script>
    
    <script type="text/javascript">

        $(document).ready(function () {
        })

        $('#editableTable').editableTableWidget({ editor: $('<input>'), preventColumns: [1,3,8,9] });
        $('table td').on('change', function (evt, newValue) {

            var provinceId = this.id.split('-')[1];
            var attribute = this.id.split('-')[0];

                if (newValue != null)
                {
                    $.ajax({
                        url: "/Province/FastEdit/",
                        type: "POST",
                        data: { ProvinceId: provinceId, Atributo: attribute, NewValue: newValue},
                        success: function (data, textStatus, jqXHR)
                        {
                            if (data == "error") {
                                toastr.error('Error al modificar datos.');
                            } else {
                                $("#" + attribute + "-" + provinceId).text(data);
                                toastr.success('Datos modificados');
                            }
                        }
                    });
                }
        });

    </script>
}

